Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj	(revision 75)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj	(revision 79)
@@ -91,4 +91,492 @@
 				E14343B303DB4CF200050002,
 				E14343B403DB4CF200050002,
+				E165AB3503E7A7FC00050002,
+				E165AB3603E7A7FC00050002,
+				E13762D103EC636D00050002,
+				E13762D203EC636D00050002,
+				E1AFA51C03ECFDB000050001,
+				E1AFA51D03ECFDBF00050001,
+				F5CD5EAA02DAE61A01AA4DA5,
+				F51250CA038BF76601AA4DA5,
+			);
+			isa = PBXGroup;
+			name = "APE sources";
+			path = "";
+			refType = 4;
+		};
+		29B97317FDCFA39411CA2CEA = {
+			children = (
+				E1BF15BF03DBBE8900050002,
+				29B97318FDCFA39411CA2CEA,
+				089C165CFE840E0CC02AAC07,
+				E1CBC99A03E7603400050002,
+			);
+			isa = PBXGroup;
+			name = Resources;
+			path = "";
+			refType = 4;
+		};
+		29B97318FDCFA39411CA2CEA = {
+			children = (
+				29B97319FDCFA39411CA2CEA,
+			);
+			isa = PBXVariantGroup;
+			name = "APE Manager plugin.nib";
+			path = "";
+			refType = 4;
+		};
+		29B97319FDCFA39411CA2CEA = {
+			isa = PBXFileReference;
+			name = "APE Manager plugin.nib";
+			path = "English.lproj/APE Manager plugin.nib";
+			refType = 4;
+		};
+		29B97323FDCFA39411CA2CEA = {
+			children = (
+				E169DCAB03E4FF7A00050002,
+				F574113202F45276011A08DB,
+				F5D3F9FC0305A40D01FE0BDE,
+				E19EB50303DD36E600050002,
+			);
+			isa = PBXGroup;
+			name = Frameworks;
+			path = "";
+			refType = 4;
+		};
+//290
+//291
+//292
+//293
+//294
+//4A0
+//4A1
+//4A2
+//4A3
+//4A4
+		4A9504CCFFE6A4B311CA0CBA = {
+			buildRules = (
+			);
+			buildSettings = {
+				COPY_PHASE_STRIP = NO;
+				OPTIMIZATION_CFLAGS = "-O0";
+			};
+			isa = PBXBuildStyle;
+			name = Development;
+		};
+		4A9504CDFFE6A4B311CA0CBA = {
+			buildRules = (
+			);
+			buildSettings = {
+				COPY_PHASE_STRIP = YES;
+			};
+			isa = PBXBuildStyle;
+			name = Deployment;
+		};
+//4A0
+//4A1
+//4A2
+//4A3
+//4A4
+//E10
+//E11
+//E12
+//E13
+//E14
+		E1317B2E03DFC4DE00050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			path = ICeCoffEETerminal.h;
+			refType = 4;
+		};
+		E1317B2F03DFC4DE00050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			path = ICeCoffEETerminal.m;
+			refType = 4;
+		};
+		E1317B3003DFC4DE00050002 = {
+			fileRef = E1317B2E03DFC4DE00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E1317B3103DFC4DE00050002 = {
+			fileRef = E1317B2F03DFC4DE00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E135625E03DC9FC200050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = ICeCoffEEShared.h;
+			refType = 4;
+		};
+		E135625F03DC9FC200050002 = {
+			fileRef = E135625E03DC9FC200050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E13762D103EC636D00050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			path = ICeCoffEEBookmarks.h;
+			refType = 4;
+		};
+		E13762D203EC636D00050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			path = ICeCoffEEBookmarks.c;
+			refType = 4;
+		};
+		E13762D303EC636D00050002 = {
+			fileRef = E13762D103EC636D00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E13762D403EC636D00050002 = {
+			fileRef = E13762D203EC636D00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14343AE03DB48F700050002 = {
+			children = (
+				F9A6987003BE1DFF00AA4DA5,
+				F9A6987103BE1DFF00AA4DA5,
+				F56276B903796C8B01AA4DA5,
+				F56276BA03796C8B01AA4DA5,
+			);
+			isa = PBXGroup;
+			name = "APE Manager plugin sources";
+			path = "";
+			refType = 4;
+		};
+		E14343B303DB4CF200050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			path = ICeCoffEE.h;
+			refType = 4;
+		};
+		E14343B403DB4CF200050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			path = ICeCoffEE.m;
+			refType = 4;
+		};
+		E14343B503DB4CF200050002 = {
+			fileRef = E14343B303DB4CF200050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14343B603DB4CF200050002 = {
+			fileRef = E14343B403DB4CF200050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14343B703DB4CFE00050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			path = ICeCoffEEScanner.h;
+			refType = 4;
+		};
+		E14343B803DB4CFE00050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			path = ICeCoffEEScanner.m;
+			refType = 4;
+		};
+		E14343B903DB4CFE00050002 = {
+			fileRef = E14343B703DB4CFE00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14343BA03DB4CFE00050002 = {
+			fileRef = E14343B803DB4CFE00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14343CD03DB66E900050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = ICeCoffEESuper.h;
+			refType = 4;
+		};
+		E14343CE03DB66E900050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = ICeCoffEESuper.m;
+			refType = 4;
+		};
+		E14343CF03DB66E900050002 = {
+			fileRef = E14343CD03DB66E900050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14343D003DB66E900050002 = {
+			fileRef = E14343CE03DB66E900050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14993A503DE868D00050002 = {
+			children = (
+				E135625E03DC9FC200050002,
+				E182C8F603DE817F00050002,
+			);
+			isa = PBXGroup;
+			name = "Shared sources";
+			path = "";
+			refType = 4;
+		};
+		E14993B803DE872B00050002 = {
+			fileRef = E135625E03DC9FC200050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E165AB3503E7A7FC00050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = ICeCoffEEActionMenu.h;
+			refType = 4;
+		};
+		E165AB3603E7A7FC00050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			path = ICeCoffEEActionMenu.c;
+			refType = 4;
+		};
+		E165AB3703E7A7FC00050002 = {
+			fileRef = E165AB3503E7A7FC00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E165AB3803E7A7FC00050002 = {
+			fileRef = E165AB3603E7A7FC00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E169DBA103E4EF5E00050002 = {
+			fileEncoding = 4;
+			indentWidth = 4;
+			isa = PBXFileReference;
+			path = ICeCoffEETextEdit.c;
+			refType = 4;
+			tabWidth = 4;
+			usesTabs = 0;
+		};
+		E169DBA303E4EF5E00050002 = {
+			fileRef = E169DBA103E4EF5E00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E169DBA403E4F27400050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = ICeCoffEETextEdit.h;
+			refType = 4;
+		};
+		E169DBA503E4F27400050002 = {
+			fileRef = E169DBA403E4F27400050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E169DBA703E4F6A400050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = ICeCoffEEConfig.h;
+			refType = 4;
+		};
+		E169DCAB03E4FF7A00050002 = {
+			isa = PBXFrameworkReference;
+			name = Carbon.framework;
+			path = /System/Library/Frameworks/Carbon.framework;
+			refType = 0;
+		};
+		E169DCAC03E4FF7A00050002 = {
+			fileRef = E169DCAB03E4FF7A00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E182C8F603DE817F00050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = ICeCoffEEShared.m;
+			refType = 4;
+		};
+		E182C8F803DE817F00050002 = {
+			fileRef = E182C8F603DE817F00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E182C8FA03DE817F00050002 = {
+			fileRef = E182C8F603DE817F00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E18A7D2703ED3FA400050001 = {
+			fileRef = E169DBA703E4F6A400050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E19EB4E303DD355C00050002 = {
+			buildActionMask = 2147483647;
+			files = (
+				E19EB4FD03DD35A700050002,
+				E19EB50003DD35A700050002,
+			);
+			isa = PBXHeadersBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
+		};
+		E19EB4E403DD355C00050002 = {
+			buildActionMask = 2147483647;
+			files = (
+				E19EB4FE03DD35A700050002,
+				E19EB4FF03DD35A700050002,
+			);
+			isa = PBXSourcesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
+		};
+		E19EB4E503DD355C00050002 = {
+			buildActionMask = 2147483647;
+			files = (
+				E19EB50403DD36E600050002,
+			);
+			isa = PBXFrameworksBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
+		};
+		E19EB4E703DD355C00050002 = {
+			buildPhases = (
+				E19EB4E303DD355C00050002,
+				E19EB4E403DD355C00050002,
+				E19EB4E503DD355C00050002,
+			);
+			buildSettings = {
+				OTHER_CFLAGS = "";
+				OTHER_LDFLAGS = "";
+				OTHER_REZFLAGS = "";
+				PRECOMPILE_PREFIX_HEADER = YES;
+				PREFIX_HEADER = ICFindFilesToRemove/ICFindFilesToRemove_Prefix.h;
+				PRODUCT_NAME = ICFindFilesToRemove;
+				REZ_EXECUTABLE = YES;
+				SECTORDER_FLAGS = "";
+				WARNING_CFLAGS = "-Wmost -Wno-four-char-constants -Wno-unknown-pragmas";
+			};
+			dependencies = (
+			);
+			isa = PBXToolTarget;
+			name = ICFindFilesToRemove;
+			productInstallPath = /usr/local/bin;
+			productName = ICFindFilesToRemove;
+			productReference = E19EB4E803DD355C00050002;
+		};
+		E19EB4E803DD355C00050002 = {
+			isa = PBXExecutableFileReference;
+			path = ICFindFilesToRemove;
+			refType = 3;
+		};
+		E19EB4F503DD359100050002 = {
+			children = (
+				E19EB4FB03DD35A700050002,
+				E19EB4FC03DD35A700050002,
+				E19EB4FA03DD35A700050002,
+				E19EB4F903DD35A700050002,
+			);
+			isa = PBXGroup;
+			name = ICFindFilesToRemove;
+			refType = 4;
+		};
+		E19EB4F903DD35A700050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			name = ICFindFilesToRemove_Prefix.h;
+			path = ICFindFilesToRemove/ICFindFilesToRemove_Prefix.h;
+			refType = 4;
+		};
+		E19EB4FA03DD35A700050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			name = UICookieMonster.m;
+			path = ICFindFilesToRemove/UICookieMonster.m;
+			refType = 4;
+		};
+		E19EB4FB03DD35A700050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			name = main.m;
+			path = ICFindFilesToRemove/main.m;
+			refType = 4;
+		};
+		E19EB4FC03DD35A700050002 = {
+			fileEncoding = 30;
+			isa = PBXFileReference;
+			name = UICookieMonster.h;
+			path = ICFindFilesToRemove/UICookieMonster.h;
+			refType = 4;
+		};
+		E19EB4FD03DD35A700050002 = {
+			fileRef = E19EB4F903DD35A700050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E19EB4FE03DD35A700050002 = {
+			fileRef = E19EB4FA03DD35A700050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E19EB4FF03DD35A700050002 = {
+			fileRef = E19EB4FB03DD35A700050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E19EB50003DD35A700050002 = {
+			fileRef = E19EB4FC03DD35A700050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E19EB50203DD365D00050002 = {
+			fileRef = E19EB4E803DD355C00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E19EB50303DD36E600050002 = {
+			isa = PBXFrameworkReference;
+			name = Foundation.framework;
+			path = /System/Library/Frameworks/Foundation.framework;
+			refType = 0;
+		};
+		E19EB50403DD36E600050002 = {
+			fileRef = E19EB50303DD36E600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E19EB50503DD378B00050002 = {
+			isa = PBXTargetDependency;
+			target = E19EB4E703DD355C00050002;
+		};
+		E1AFA51C03ECFDB000050001 = {
+			children = (
 				E14343CD03DB66E900050002,
 				E14343CE03DB66E900050002,
@@ -106,483 +594,17 @@
 				E1BF166B03DBE27000050002,
 				E1BF166C03DBE27000050002,
+			);
+			isa = PBXGroup;
+			name = Cocoa;
+			refType = 4;
+		};
+		E1AFA51D03ECFDBF00050001 = {
+			children = (
 				E169DBA403E4F27400050002,
 				E169DBA103E4EF5E00050002,
-				E165AB3503E7A7FC00050002,
-				E165AB3603E7A7FC00050002,
-				E13762D103EC636D00050002,
-				E13762D203EC636D00050002,
-				F5CD5EAA02DAE61A01AA4DA5,
-				F51250CA038BF76601AA4DA5,
 			);
 			isa = PBXGroup;
-			name = "APE sources";
-			path = "";
-			refType = 4;
-		};
-		29B97317FDCFA39411CA2CEA = {
-			children = (
-				E1BF15BF03DBBE8900050002,
-				29B97318FDCFA39411CA2CEA,
-				089C165CFE840E0CC02AAC07,
-				E1CBC99A03E7603400050002,
-			);
-			isa = PBXGroup;
-			name = Resources;
-			path = "";
-			refType = 4;
-		};
-		29B97318FDCFA39411CA2CEA = {
-			children = (
-				29B97319FDCFA39411CA2CEA,
-			);
-			isa = PBXVariantGroup;
-			name = "APE Manager plugin.nib";
-			path = "";
-			refType = 4;
-		};
-		29B97319FDCFA39411CA2CEA = {
-			isa = PBXFileReference;
-			name = "APE Manager plugin.nib";
-			path = "English.lproj/APE Manager plugin.nib";
-			refType = 4;
-		};
-		29B97323FDCFA39411CA2CEA = {
-			children = (
-				E169DCAB03E4FF7A00050002,
-				F574113202F45276011A08DB,
-				F5D3F9FC0305A40D01FE0BDE,
-				E19EB50303DD36E600050002,
-			);
-			isa = PBXGroup;
-			name = Frameworks;
-			path = "";
-			refType = 4;
-		};
-//290
-//291
-//292
-//293
-//294
-//4A0
-//4A1
-//4A2
-//4A3
-//4A4
-		4A9504CCFFE6A4B311CA0CBA = {
-			buildRules = (
-			);
-			buildSettings = {
-				COPY_PHASE_STRIP = NO;
-				OPTIMIZATION_CFLAGS = "-O0";
-			};
-			isa = PBXBuildStyle;
-			name = Development;
-		};
-		4A9504CDFFE6A4B311CA0CBA = {
-			buildRules = (
-			);
-			buildSettings = {
-				COPY_PHASE_STRIP = YES;
-			};
-			isa = PBXBuildStyle;
-			name = Deployment;
-		};
-//4A0
-//4A1
-//4A2
-//4A3
-//4A4
-//E10
-//E11
-//E12
-//E13
-//E14
-		E1317B2E03DFC4DE00050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			path = ICeCoffEETerminal.h;
-			refType = 4;
-		};
-		E1317B2F03DFC4DE00050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			path = ICeCoffEETerminal.m;
-			refType = 4;
-		};
-		E1317B3003DFC4DE00050002 = {
-			fileRef = E1317B2E03DFC4DE00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E1317B3103DFC4DE00050002 = {
-			fileRef = E1317B2F03DFC4DE00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E135625E03DC9FC200050002 = {
-			fileEncoding = 4;
-			isa = PBXFileReference;
-			path = ICeCoffEEShared.h;
-			refType = 4;
-		};
-		E135625F03DC9FC200050002 = {
-			fileRef = E135625E03DC9FC200050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E13762D103EC636D00050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			path = ICeCoffEEBookmarks.h;
-			refType = 4;
-		};
-		E13762D203EC636D00050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			path = ICeCoffEEBookmarks.c;
-			refType = 4;
-		};
-		E13762D303EC636D00050002 = {
-			fileRef = E13762D103EC636D00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E13762D403EC636D00050002 = {
-			fileRef = E13762D203EC636D00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E14343AE03DB48F700050002 = {
-			children = (
-				F9A6987003BE1DFF00AA4DA5,
-				F9A6987103BE1DFF00AA4DA5,
-				F56276B903796C8B01AA4DA5,
-				F56276BA03796C8B01AA4DA5,
-			);
-			isa = PBXGroup;
-			name = "APE Manager plugin sources";
-			path = "";
-			refType = 4;
-		};
-		E14343B303DB4CF200050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			path = ICeCoffEE.h;
-			refType = 4;
-		};
-		E14343B403DB4CF200050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			path = ICeCoffEE.m;
-			refType = 4;
-		};
-		E14343B503DB4CF200050002 = {
-			fileRef = E14343B303DB4CF200050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E14343B603DB4CF200050002 = {
-			fileRef = E14343B403DB4CF200050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E14343B703DB4CFE00050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			path = ICeCoffEEScanner.h;
-			refType = 4;
-		};
-		E14343B803DB4CFE00050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			path = ICeCoffEEScanner.m;
-			refType = 4;
-		};
-		E14343B903DB4CFE00050002 = {
-			fileRef = E14343B703DB4CFE00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E14343BA03DB4CFE00050002 = {
-			fileRef = E14343B803DB4CFE00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E14343CD03DB66E900050002 = {
-			fileEncoding = 4;
-			isa = PBXFileReference;
-			path = ICeCoffEESuper.h;
-			refType = 4;
-		};
-		E14343CE03DB66E900050002 = {
-			fileEncoding = 4;
-			isa = PBXFileReference;
-			path = ICeCoffEESuper.m;
-			refType = 4;
-		};
-		E14343CF03DB66E900050002 = {
-			fileRef = E14343CD03DB66E900050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E14343D003DB66E900050002 = {
-			fileRef = E14343CE03DB66E900050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E14993A503DE868D00050002 = {
-			children = (
-				E135625E03DC9FC200050002,
-				E182C8F603DE817F00050002,
-			);
-			isa = PBXGroup;
-			name = "Shared sources";
-			path = "";
-			refType = 4;
-		};
-		E14993B803DE872B00050002 = {
-			fileRef = E135625E03DC9FC200050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E165AB3503E7A7FC00050002 = {
-			fileEncoding = 4;
-			isa = PBXFileReference;
-			path = ICeCoffEEActionMenu.h;
-			refType = 4;
-		};
-		E165AB3603E7A7FC00050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			path = ICeCoffEEActionMenu.c;
-			refType = 4;
-		};
-		E165AB3703E7A7FC00050002 = {
-			fileRef = E165AB3503E7A7FC00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E165AB3803E7A7FC00050002 = {
-			fileRef = E165AB3603E7A7FC00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E169DBA103E4EF5E00050002 = {
-			fileEncoding = 4;
-			indentWidth = 4;
-			isa = PBXFileReference;
-			path = ICeCoffEETextEdit.c;
-			refType = 4;
-			tabWidth = 4;
-			usesTabs = 0;
-		};
-		E169DBA303E4EF5E00050002 = {
-			fileRef = E169DBA103E4EF5E00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E169DBA403E4F27400050002 = {
-			fileEncoding = 4;
-			isa = PBXFileReference;
-			path = ICeCoffEETextEdit.h;
-			refType = 4;
-		};
-		E169DBA503E4F27400050002 = {
-			fileRef = E169DBA403E4F27400050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E169DBA703E4F6A400050002 = {
-			fileEncoding = 4;
-			isa = PBXFileReference;
-			path = ICeCoffEEConfig.h;
-			refType = 4;
-		};
-		E169DCAB03E4FF7A00050002 = {
-			isa = PBXFrameworkReference;
-			name = Carbon.framework;
-			path = /System/Library/Frameworks/Carbon.framework;
-			refType = 0;
-		};
-		E169DCAC03E4FF7A00050002 = {
-			fileRef = E169DCAB03E4FF7A00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E182C8F603DE817F00050002 = {
-			fileEncoding = 4;
-			isa = PBXFileReference;
-			path = ICeCoffEEShared.m;
-			refType = 4;
-		};
-		E182C8F803DE817F00050002 = {
-			fileRef = E182C8F603DE817F00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E182C8FA03DE817F00050002 = {
-			fileRef = E182C8F603DE817F00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E19EB4E303DD355C00050002 = {
-			buildActionMask = 2147483647;
-			files = (
-				E19EB4FD03DD35A700050002,
-				E19EB50003DD35A700050002,
-			);
-			isa = PBXHeadersBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		E19EB4E403DD355C00050002 = {
-			buildActionMask = 2147483647;
-			files = (
-				E19EB4FE03DD35A700050002,
-				E19EB4FF03DD35A700050002,
-			);
-			isa = PBXSourcesBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		E19EB4E503DD355C00050002 = {
-			buildActionMask = 2147483647;
-			files = (
-				E19EB50403DD36E600050002,
-			);
-			isa = PBXFrameworksBuildPhase;
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-		E19EB4E703DD355C00050002 = {
-			buildPhases = (
-				E19EB4E303DD355C00050002,
-				E19EB4E403DD355C00050002,
-				E19EB4E503DD355C00050002,
-			);
-			buildSettings = {
-				OTHER_CFLAGS = "";
-				OTHER_LDFLAGS = "";
-				OTHER_REZFLAGS = "";
-				PRECOMPILE_PREFIX_HEADER = YES;
-				PREFIX_HEADER = ICFindFilesToRemove/ICFindFilesToRemove_Prefix.h;
-				PRODUCT_NAME = ICFindFilesToRemove;
-				REZ_EXECUTABLE = YES;
-				SECTORDER_FLAGS = "";
-				WARNING_CFLAGS = "-Wmost -Wno-four-char-constants -Wno-unknown-pragmas";
-			};
-			dependencies = (
-			);
-			isa = PBXToolTarget;
-			name = ICFindFilesToRemove;
-			productInstallPath = /usr/local/bin;
-			productName = ICFindFilesToRemove;
-			productReference = E19EB4E803DD355C00050002;
-		};
-		E19EB4E803DD355C00050002 = {
-			isa = PBXExecutableFileReference;
-			path = ICFindFilesToRemove;
-			refType = 3;
-		};
-		E19EB4F503DD359100050002 = {
-			children = (
-				E19EB4FB03DD35A700050002,
-				E19EB4FC03DD35A700050002,
-				E19EB4FA03DD35A700050002,
-				E19EB4F903DD35A700050002,
-			);
-			isa = PBXGroup;
-			name = ICFindFilesToRemove;
-			refType = 4;
-		};
-		E19EB4F903DD35A700050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			name = ICFindFilesToRemove_Prefix.h;
-			path = ICFindFilesToRemove/ICFindFilesToRemove_Prefix.h;
-			refType = 4;
-		};
-		E19EB4FA03DD35A700050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			name = UICookieMonster.m;
-			path = ICFindFilesToRemove/UICookieMonster.m;
-			refType = 4;
-		};
-		E19EB4FB03DD35A700050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			name = main.m;
-			path = ICFindFilesToRemove/main.m;
-			refType = 4;
-		};
-		E19EB4FC03DD35A700050002 = {
-			fileEncoding = 30;
-			isa = PBXFileReference;
-			name = UICookieMonster.h;
-			path = ICFindFilesToRemove/UICookieMonster.h;
-			refType = 4;
-		};
-		E19EB4FD03DD35A700050002 = {
-			fileRef = E19EB4F903DD35A700050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E19EB4FE03DD35A700050002 = {
-			fileRef = E19EB4FA03DD35A700050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E19EB4FF03DD35A700050002 = {
-			fileRef = E19EB4FB03DD35A700050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E19EB50003DD35A700050002 = {
-			fileRef = E19EB4FC03DD35A700050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E19EB50203DD365D00050002 = {
-			fileRef = E19EB4E803DD355C00050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E19EB50303DD36E600050002 = {
-			isa = PBXFrameworkReference;
-			name = Foundation.framework;
-			path = /System/Library/Frameworks/Foundation.framework;
-			refType = 0;
-		};
-		E19EB50403DD36E600050002 = {
-			fileRef = E19EB50303DD36E600050002;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E19EB50503DD378B00050002 = {
-			isa = PBXTargetDependency;
-			target = E19EB4E703DD355C00050002;
+			name = Carbon;
+			refType = 4;
 		};
 		E1BB268F03DB74B700050002 = {
@@ -1191,4 +1213,5 @@
 				E165AB3703E7A7FC00050002,
 				E13762D303EC636D00050002,
+				E18A7D2703ED3FA400050001,
 			);
 			isa = PBXHeadersBuildPhase;
@@ -1298,5 +1321,5 @@
 	<string>ICCF</string>
 	<key>CFBundleVersion</key>
-	<string>1.3</string>
+	<string>1.3b3</string>
 </dict>
 </plist>