Index: trunk/appswitch/appswitch/appswitch.pbproj/nicholas.pbxuser
===================================================================
--- trunk/appswitch/appswitch/appswitch.pbproj/nicholas.pbxuser	(revision 92)
+++ trunk/appswitch/appswitch/appswitch.pbproj/nicholas.pbxuser	(revision 99)
@@ -14,515 +14,5 @@
 		);
 		perUserDictionary = {
-			PBXPerProjectTemplateStateSaveDate = 66554412;
-			"PBXTemplateGeometry-F5314676015831810DCA290F" = {
-				ContentSize = "{618, 257}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 23}, {618, 234}}";
-					Split0 = {
-						ActiveTab = 2;
-						ActiveTabName = PBXBuildResultsModule;
-						Collapsed = YES;
-						Frame = "{{0, 0}, {618, 234}}";
-						Split0 = {
-							Frame = "{{1e+06, 1e+06}, {618, 0}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {952, 321}}";
-						};
-						Tab1 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {781, 452}}";
-								Split0 = {
-									Frame = "{{0, 24}, {781, 428}}";
-									Split0 = {
-										Frame = "{{0, 0}, {383, 428}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											155.123,
-										);
-										Frame = "{{392, 0}, {389, 428}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {781, 452}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {618, 228}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {618, 228}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {620, 195}}";
-							BuildTranscriptFrame = "{{0, 204}, {620, 2}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {618, 228}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {300, 533}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							267,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 100}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 5;
-					TabsVisible = NO;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = YES;
-				Template = F5314676015831810DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{819, 244}";
-			};
-			"PBXTemplateGeometry-F5534CB2020F3F8A0DCA290F" = {
-				ContentSize = "{594, 303}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 23}, {594, 280}}";
-					Split0 = {
-						ActiveTab = 1;
-						ActiveTabName = PBXRunSessionModule;
-						Collapsed = YES;
-						Frame = "{{0, 0}, {594, 280}}";
-						Split0 = {
-							Frame = "{{1e+06, 1e+06}, {594, 0}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {804, 321}}";
-						};
-						Tab1 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {594, 274}}";
-								Split0 = {
-									Frame = "{{0, 24}, {594, 250}}";
-									Split0 = {
-										Frame = "{{0, 0}, {290, 250}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											62.123,
-										);
-										Frame = "{{299, 0}, {295, 250}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {594, 274}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {594, 274}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {594, 274}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {614, 262}}";
-							BuildTranscriptFrame = "{{0, 271}, {614, 2}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {300, 533}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							267,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 386}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 386}}";
-					};
-					TabCount = 5;
-					TabsVisible = NO;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = YES;
-				Template = F5534CB2020F3F8A0DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{72, 222}";
-			};
-			"PBXTemplateGeometry-F5CA7ECB015C094F0DCA290F" = {
-				ContentSize = "{796, 742}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 0}, {796, 742}}";
-					Split0 = {
-						Collapsed = NO;
-						Frame = "{{0, 0}, {796, 742}}";
-						Split0 = {
-							Frame = "{{0, 0}, {796, 742}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {484, 208}}";
-						};
-						Tab1 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {664, 208}}";
-								Split0 = {
-									Frame = "{{0, 24}, {664, 184}}";
-									Split0 = {
-										Frame = "{{0, 0}, {325, 184}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											96.123,
-										);
-										Frame = "{{334, 0}, {330, 184}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {664, 208}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {664, 50}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 50}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {614, 262}}";
-							BuildTranscriptFrame = "{{0, 271}, {614, 2}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {313, 531}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							280,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 557}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 5;
-					TabsVisible = NO;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = NO;
-				Template = F5CA7ECB015C094F0DCA290F;
-				ToolbarVisible = NO;
-				WindowLocation = "{687, 68}";
-			};
-			"PBXTemplateGeometry-F5E465990156DFB90DCA290F" = {
-				ContentSize = "{352, 553}";
-				LeftSlideOut = {
-					ActiveTab = 0;
-					ActiveTabName = PBXGroupTreeModule;
-					Collapsed = YES;
-					Frame = "{{0, 23}, {352, 530}}";
-					Split0 = {
-						Collapsed = NO;
-						Frame = "{{1e+06, 1e+06}, {0, 530}}";
-						Split0 = {
-							Frame = "{{0, 0}, {0, 530}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {484, 208}}";
-						};
-						Tab1 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {664, 208}}";
-								Split0 = {
-									Frame = "{{0, 24}, {664, 184}}";
-									Split0 = {
-										Frame = "{{0, 0}, {325, 184}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											96.123,
-										);
-										Frame = "{{334, 0}, {330, 184}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {664, 208}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {664, 50}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 50}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {614, 262}}";
-							BuildTranscriptFrame = "{{0, 271}, {614, 2}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {328, 530}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							295,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {343, 348}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							300,
-						);
-						Frame = "{{0, 0}, {341, 578}}";
-						MembersFrame = "{{0, 357}, {343, 221}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							299,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {319, 576}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {341, 578}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							308.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							266,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {319, 576}}";
-					};
-					TabCount = 5;
-					TabsVisible = YES;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = YES;
-				Template = F5E465990156DFB90DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{19, 217}";
-			};
+			PBXPerProjectTemplateStateSaveDate = 67398120;
 			PBXWorkspaceContents = (
 				{
@@ -531,5 +21,5 @@
 							Split0 = {
 								NavContent0 = {
-									bookmark = E16C83ED03F83AD700050002;
+									bookmark = E1098C8203FDAAC300050002;
 									history = (
 										E16C83D103F83AD700050002,
@@ -544,9 +34,13 @@
 										E16C83DA03F83AD700050002,
 										E16C83DB03F83AD700050002,
-										E16C83DC03F83AD700050002,
 										E16C83DD03F83AD700050002,
 										E16C83DE03F83AD700050002,
 										E16C83DF03F83AD700050002,
-										E16C83E003F83AD700050002,
+										E16C840303FB5E7100050002,
+										E16C842A03FB74A500050002,
+										E132404B03FD7BD400050002,
+									);
+									nextStack = (
+										E16C842C03FB74A500050002,
 									);
 									prevStack = (
@@ -761,5 +255,5 @@
 					Template = 64ABBB4501FA494900185B06;
 					ToolbarVisible = YES;
-					WindowLocation = "{21, 114}";
+					WindowLocation = "{4, 111}";
 				},
 				{
@@ -892,7 +386,9 @@
 				},
 			);
-			PBXWorkspaceStateSaveDate = 66554412;
+			PBXWorkspaceStateSaveDate = 67398120;
 		};
 		perUserProjectItems = {
+			E1098C8203FDAAC300050002 = E1098C8203FDAAC300050002;
+			E132404B03FD7BD400050002 = E132404B03FD7BD400050002;
 			E16C83D103F83AD700050002 = E16C83D103F83AD700050002;
 			E16C83D203F83AD700050002 = E16C83D203F83AD700050002;
@@ -906,9 +402,7 @@
 			E16C83DA03F83AD700050002 = E16C83DA03F83AD700050002;
 			E16C83DB03F83AD700050002 = E16C83DB03F83AD700050002;
-			E16C83DC03F83AD700050002 = E16C83DC03F83AD700050002;
 			E16C83DD03F83AD700050002 = E16C83DD03F83AD700050002;
 			E16C83DE03F83AD700050002 = E16C83DE03F83AD700050002;
 			E16C83DF03F83AD700050002 = E16C83DF03F83AD700050002;
-			E16C83E003F83AD700050002 = E16C83E003F83AD700050002;
 			E16C83E103F83AD700050002 = E16C83E103F83AD700050002;
 			E16C83E203F83AD700050002 = E16C83E203F83AD700050002;
@@ -923,5 +417,7 @@
 			E16C83EB03F83AD700050002 = E16C83EB03F83AD700050002;
 			E16C83EC03F83AD700050002 = E16C83EC03F83AD700050002;
-			E16C83ED03F83AD700050002 = E16C83ED03F83AD700050002;
+			E16C840303FB5E7100050002 = E16C840303FB5E7100050002;
+			E16C842A03FB74A500050002 = E16C842A03FB74A500050002;
+			E16C842C03FB74A500050002 = E16C842C03FB74A500050002;
 		};
 		projectwideBuildSettings = {
@@ -936,4 +432,24 @@
 		);
 	};
+	E1098C8203FDAAC300050002 = {
+		fRef = 08FB7796FE84155DC02AAC07;
+		isa = PBXTextBookmark;
+		name = "main.c: matchApplication";
+		rLen = 0;
+		rLoc = 11680;
+		rType = 0;
+		vrLen = 1813;
+		vrLoc = 10964;
+	};
+	E132404B03FD7BD400050002 = {
+		fRef = 08FB7796FE84155DC02AAC07;
+		isa = PBXTextBookmark;
+		name = "main.c: matchApplication";
+		rLen = 0;
+		rLoc = 11680;
+		rType = 0;
+		vrLen = 1716;
+		vrLoc = 11138;
+	};
 	E16C83D103F83AD700050002 = {
 		fRef = E16C83EF03F83AD700050002;
@@ -1046,14 +562,4 @@
 		vrLoc = 0;
 	};
-	E16C83DC03F83AD700050002 = {
-		fRef = E1A0BD3203EFAD9E00050001;
-		isa = PBXTextBookmark;
-		name = "CPS.h: 281";
-		rLen = 0;
-		rLoc = 4865;
-		rType = 0;
-		vrLen = 1136;
-		vrLoc = 4090;
-	};
 	E16C83DD03F83AD700050002 = {
 		fRef = E16C83EE03F83AD700050002;
@@ -1086,14 +592,4 @@
 		vrLoc = 2592;
 	};
-	E16C83E003F83AD700050002 = {
-		fRef = 08FB7796FE84155DC02AAC07;
-		isa = PBXTextBookmark;
-		name = "main.c: 117";
-		rLen = 0;
-		rLoc = 4782;
-		rType = 0;
-		vrLen = 1813;
-		vrLoc = 0;
-	};
 	E16C83E103F83AD700050002 = {
 		fRef = E1A0BD3203EFAD9E00050001;
@@ -1131,5 +627,5 @@
 		name = "main.c: main";
 		rLen = 0;
-		rLoc = 12674;
+		rLoc = 16052;
 		rType = 0;
 		vrLen = 1650;
@@ -1151,5 +647,5 @@
 		name = "main.c: matchApplication";
 		rLen = 0;
-		rLoc = 10201;
+		rLoc = 12708;
 		rType = 0;
 		vrLen = 1426;
@@ -1161,5 +657,5 @@
 		name = "main.c: 51";
 		rLen = 0;
-		rLoc = 2325;
+		rLoc = 2379;
 		rType = 0;
 		vrLen = 801;
@@ -1191,5 +687,5 @@
 		name = "main.c: 117";
 		rLen = 0;
-		rLoc = 4782;
+		rLoc = 5052;
 		rType = 0;
 		vrLen = 1813;
@@ -1216,14 +712,4 @@
 		vrLoc = 2592;
 	};
-	E16C83ED03F83AD700050002 = {
-		fRef = 08FB7796FE84155DC02AAC07;
-		isa = PBXTextBookmark;
-		name = "main.c: 18";
-		rLen = 0;
-		rLoc = 1589;
-		rType = 0;
-		vrLen = 1813;
-		vrLoc = 0;
-	};
 	E16C83EE03F83AD700050002 = {
 		isa = PBXFileReference;
@@ -1296,4 +782,46 @@
 		name = NSFileManager.h;
 		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSFileManager.h;
+		refType = 0;
+	};
+	E16C840303FB5E7100050002 = {
+		fRef = E1A0BD3203EFAD9E00050001;
+		isa = PBXTextBookmark;
+		name = "CPS.h: 156";
+		rLen = 13;
+		rLoc = 2465;
+		rType = 0;
+		vrLen = 622;
+		vrLoc = 2176;
+	};
+	E16C842A03FB74A500050002 = {
+		fRef = E16C842F03FB74A500050002;
+		isa = PBXTextBookmark;
+		name = "CFString.h: 252";
+		rLen = 142;
+		rLoc = 12196;
+		rType = 0;
+		vrLen = 2097;
+		vrLoc = 10692;
+	};
+	E16C842C03FB74A500050002 = {
+		fRef = E16C842E03FB74A500050002;
+		isa = PBXTextBookmark;
+		name = "CFString.h: 252";
+		rLen = 142;
+		rLoc = 12196;
+		rType = 0;
+		vrLen = 2097;
+		vrLoc = 10692;
+	};
+	E16C842E03FB74A500050002 = {
+		isa = PBXFileReference;
+		name = CFString.h;
+		path = /System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFString.h;
+		refType = 0;
+	};
+	E16C842F03FB74A500050002 = {
+		isa = PBXFileReference;
+		name = CFString.h;
+		path = /System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers/CFString.h;
 		refType = 0;
 	};