Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj	(revision 89)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj	(revision 106)
@@ -121,4 +121,5 @@
 			children = (
 				29B97319FDCFA39411CA2CEA,
+				E140C476040BBABD009FF178,
 			);
 			isa = PBXVariantGroup;
@@ -256,4 +257,37 @@
 			};
 		};
+		E140C472040BB987009FF178 = {
+			children = (
+				F56276C20379923401AA4DA5,
+				E140C475040BB997009FF178,
+			);
+			isa = PBXVariantGroup;
+			name = APEInfo.rtfd;
+			refType = 4;
+		};
+		E140C473040BB987009FF178 = {
+			fileRef = E140C472040BB987009FF178;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E140C474040BB987009FF178 = {
+			fileRef = E140C472040BB987009FF178;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E140C475040BB997009FF178 = {
+			isa = PBXFileReference;
+			name = Japanese;
+			path = Japanese.lproj/APEInfo.rtfd;
+			refType = 4;
+		};
+		E140C476040BBABD009FF178 = {
+			isa = PBXFileReference;
+			name = Japanese;
+			path = "Japanese.lproj/APE Manager plugin.nib";
+			refType = 4;
+		};
 		E14343AE03DB48F700050002 = {
 			children = (
@@ -359,5 +393,5 @@
 			fileEncoding = 4;
 			isa = PBXFileReference;
-			path = ICeCoffEEActionMenu.h;
+			path = ICeCoffEEAction.h;
 			refType = 4;
 		};
@@ -365,5 +399,5 @@
 			fileEncoding = 30;
 			isa = PBXFileReference;
-			path = ICeCoffEEActionMenu.c;
+			path = ICeCoffEEAction.c;
 			refType = 4;
 		};
@@ -426,5 +460,5 @@
 		};
 		E182C8F603DE817F00050002 = {
-			fileEncoding = 4;
+			fileEncoding = 30;
 			isa = PBXFileReference;
 			path = ICeCoffEEShared.m;
@@ -671,5 +705,5 @@
 		E1BF154403DB950B00050002 = {
 			children = (
-				F56276C20379923401AA4DA5,
+				E140C472040BB987009FF178,
 			);
 			isa = PBXGroup;
@@ -828,5 +862,5 @@
 				E19EB50203DD365D00050002,
 				E1BF166803DBD09A00050002,
-				E1BF15B303DBAD1500050002,
+				E140C474040BB987009FF178,
 				E1BF15A803DBAA5700050002,
 			);
@@ -857,10 +891,4 @@
 			shellScript = "cd \"${TARGET_BUILD_DIR}/ICeCoffEE Installer.app/Contents/Resources/ui\" && \\\n# printenv | sort\ntest -d APEInfo.rtfd && \\\nrm -rf \"ReadMe.rtfd\" && \\\nmv APEInfo.rtfd \"ReadMe.rtfd\"";
 		};
-		E1BF15B303DBAD1500050002 = {
-			fileRef = F56276C20379923401AA4DA5;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
 		E1BF15BD03DBBD3E00050002 = {
 			fileEncoding = 30;
@@ -957,5 +985,5 @@
 		};
 		E1CBC99803E7602700050002 = {
-			fileEncoding = 4;
+			fileEncoding = 10;
 			isa = PBXFileReference;
 			name = English;
@@ -966,4 +994,5 @@
 			children = (
 				E1CBC99803E7602700050002,
+				E1F6E3AC040BCC5700050002,
 			);
 			isa = PBXVariantGroup;
@@ -976,4 +1005,11 @@
 			settings = {
 			};
+		};
+		E1F6E3AC040BCC5700050002 = {
+			fileEncoding = 10;
+			isa = PBXFileReference;
+			name = Japanese;
+			path = Japanese.lproj/Localizable.strings;
+			refType = 4;
 		};
 //E10
@@ -1009,10 +1045,4 @@
 			target = F57E31A00379599E01AA4DA5;
 		};
-		F56276B20379684101AA4DA5 = {
-			fileRef = 089C165CFE840E0CC02AAC07;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
 		F56276B903796C8B01AA4DA5 = {
 			fileEncoding = 30;
@@ -1041,12 +1071,7 @@
 		F56276C20379923401AA4DA5 = {
 			isa = PBXFileReference;
-			path = APEInfo.rtfd;
-			refType = 4;
-		};
-		F56276C30379923401AA4DA5 = {
-			fileRef = F56276C20379923401AA4DA5;
-			isa = PBXBuildFile;
-			settings = {
-			};
+			name = English;
+			path = English.lproj/APEInfo.rtfd;
+			refType = 4;
 		};
 		F574113202F45276011A08DB = {
@@ -1076,5 +1101,4 @@
 			files = (
 				F57E31A703795CCF01AA4DA5,
-				F56276B20379684101AA4DA5,
 			);
 			isa = PBXResourcesBuildPhase;
@@ -1235,5 +1259,5 @@
 			buildActionMask = 2147483647;
 			files = (
-				F56276C30379923401AA4DA5,
+				E140C473040BB987009FF178,
 				E1CBC99B03E7603400050002,
 			);
@@ -1335,5 +1359,5 @@
 	<string>ICCF</string>
 	<key>CFBundleVersion</key>
-	<string>1.3.1</string>
+	<string>1.3.2b1</string>
 </dict>
 </plist>