Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 106)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/nicholas.pbxuser	(revision 107)
@@ -3,8 +3,8 @@
 	29B97313FDCFA39411CA2CEA = {
 		activeBuildStyle = 4A9504CDFFE6A4B311CA0CBA;
-		activeExecutable = E15E6A7404188D6900050002;
-		activeTarget = F5CD5E9D02DAE2C901AA4DA5;
+		activeExecutable = E1BF159D03DBA71000050002;
+		activeTarget = E1BF159B03DBA71000050002;
 		addToTargets = (
-			F5CD5E9D02DAE2C901AA4DA5,
+			E1BF159B03DBA71000050002,
 		);
 		breakpoints = (
@@ -27,5 +27,5 @@
 		);
 		perUserDictionary = {
-			PBXPerProjectTemplateStateSaveDate = 68771887;
+			PBXPerProjectTemplateStateSaveDate = 68808506;
 			"PBXTemplateGeometry-F5314676015831810DCA290F" = {
 				ContentSize = "{685, 434}";
@@ -154,517 +154,5 @@
 				Template = F5314676015831810DCA290F;
 				ToolbarVisible = YES;
-				WindowLocation = "{337, 203}";
-			};
-			"PBXTemplateGeometry-F5534CB2020F3F8A0DCA290F" = {
-				ContentSize = "{594, 303}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 23}, {594, 280}}";
-					Split0 = {
-						ActiveTab = 1;
-						ActiveTabName = PBXRunSessionModule;
-						Collapsed = YES;
-						Frame = "{{0, 0}, {594, 280}}";
-						Split0 = {
-							Frame = "{{1e+06, 1e+06}, {594, 27}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {804, 321}}";
-						};
-						Tab1 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {594, 274}}";
-								Split0 = {
-									Frame = "{{0, 24}, {594, 250}}";
-									Split0 = {
-										Frame = "{{0, 0}, {290, 250}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											62.123,
-										);
-										Frame = "{{299, 0}, {295, 250}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {594, 274}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {594, 274}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {594, 274}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {614, 262}}";
-							BuildTranscriptFrame = "{{0, 271}, {614, 2}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {300, 533}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							267,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 386}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 386}}";
-					};
-					TabCount = 5;
-					TabsVisible = NO;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = YES;
-				Template = F5534CB2020F3F8A0DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{4, 467}";
-			};
-			"PBXTemplateGeometry-F5CA7EC9015C08ED0DCA290F" = {
-				ContentSize = "{665, 594}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 0}, {665, 594}}";
-					Split0 = {
-						ActiveTab = 3;
-						ActiveTabName = PBXProjectFindModule;
-						Collapsed = NO;
-						Frame = "{{0, 0}, {665, 594}}";
-						Split0 = {
-							Frame = "{{0, 301}, {665, 293}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {484, 208}}";
-						};
-						Tab1 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {664, 208}}";
-								Split0 = {
-									Frame = "{{0, 24}, {664, 184}}";
-									Split0 = {
-										Frame = "{{0, 0}, {325, 184}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											96.123,
-										);
-										Frame = "{{334, 0}, {330, 184}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {664, 208}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {664, 50}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 50}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {667, 265}}";
-							BuildTranscriptFrame = "{{0, 274}, {667, 2}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {665, 298}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {665, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {313, 531}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							280,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 557}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 5;
-					TabsVisible = NO;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = NO;
-				Template = F5CA7EC9015C08ED0DCA290F;
-				ToolbarVisible = NO;
-				WindowLocation = "{555, 123}";
-			};
-			"PBXTemplateGeometry-F5CA7ECB015C094F0DCA290F" = {
-				ContentSize = "{668, 621}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 0}, {668, 621}}";
-					Split0 = {
-						Collapsed = NO;
-						Frame = "{{0, 0}, {668, 621}}";
-						Split0 = {
-							Frame = "{{0, 0}, {668, 621}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {484, 208}}";
-						};
-						Tab1 = {
-							Debugger = {
-								Collapsed = NO;
-								Frame = "{{0, 0}, {664, 208}}";
-								Split0 = {
-									Frame = "{{0, 24}, {664, 184}}";
-									Split0 = {
-										Frame = "{{0, 0}, {325, 184}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											96.123,
-										);
-										Frame = "{{334, 0}, {330, 184}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {664, 208}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {664, 50}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 50}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {614, 262}}";
-							BuildTranscriptFrame = "{{0, 271}, {614, 2}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {313, 531}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							280,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 557}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 5;
-					TabsVisible = NO;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = NO;
-				Template = F5CA7ECB015C094F0DCA290F;
-				ToolbarVisible = NO;
-				WindowLocation = "{477, 84}";
-			};
-			"PBXTemplateGeometry-F5CA7ECC015C09990DCA290F" = {
-				ContentSize = "{773, 558}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 23}, {773, 535}}";
-					Split0 = {
-						ActiveTab = 0;
-						ActiveTabName = PBXDebugSessionModule;
-						Collapsed = NO;
-						Frame = "{{24, 0}, {749, 535}}";
-						Split0 = {
-							Frame = "{{0, 214}, {749, 321}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {749, 267}}";
-						};
-						Tab1 = {
-							Debugger = {
-								ActiveTab = 0;
-								ActiveTabName = PBXDebugCLIModule;
-								Collapsed = NO;
-								Frame = "{{0, 0}, {749, 208}}";
-								Split0 = {
-									Frame = "{{0, 74}, {749, 134}}";
-									Split0 = {
-										Frame = "{{0, 0}, {367, 134}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											123,
-											Value,
-											85,
-											Summary,
-											139.123,
-										);
-										Frame = "{{376, 0}, {373, 134}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {749, 50}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {749, 208}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {664, 50}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 50}}";
-							};
-						};
-						Tab3 = {
-							BuildMessageFrame = "{{0, 0}, {614, 262}}";
-							BuildTranscriptFrame = "{{0, 271}, {614, 2}}";
-							BuildTranscriptFrameExpanded = YES;
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						Tab4 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {313, 531}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							280,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 557}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 5;
-					TabsVisible = YES;
-				};
-				NavBarShownByDefault = YES;
-				StatusViewVisible = YES;
-				Template = F5CA7ECC015C09990DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{13, 212}";
+				WindowLocation = "{7, 336}";
 			};
 			PBXWorkspaceContents = (
@@ -674,5 +162,5 @@
 							Split0 = {
 								NavContent0 = {
-									bookmark = E120D8190419848000050002;
+									bookmark = E18B6CA00419EF6F00050002;
 									history = (
 										E11854FB03F27D4A00050002,
@@ -729,12 +217,13 @@
 										E120D7BE0419848000050002,
 										E120D7BF0419848000050002,
-										E120D7C00419848000050002,
-										E120D7C10419848000050002,
 										E120D7C20419848000050002,
 										E120D7C30419848000050002,
 										E120D7C40419848000050002,
-										E120D7C50419848000050002,
 										E120D7C60419848000050002,
-										E16C835503F759D800050002,
+										E1EAD7470419ECC600050002,
+										E1EAD7480419ECC600050002,
+										E1EAD7490419ECC600050002,
+										E1EAD74A0419ECC600050002,
+										E1EAD7540419ECC600050002,
 									);
 									prevStack = (
@@ -995,4 +484,12 @@
 										E120D8170419848000050002,
 										E120D8180419848000050002,
+										E1EAD74C0419ECC600050002,
+										E1EAD74D0419ECC600050002,
+										E1EAD74E0419ECC600050002,
+										E1EAD74F0419ECC600050002,
+										E1EAD7500419ECC600050002,
+										E1EAD7510419ECC600050002,
+										E1EAD7520419ECC600050002,
+										E1EAD7530419ECC600050002,
 									);
 								};
@@ -1157,8 +654,8 @@
 					Template = 64ABBB4501FA494900185B06;
 					ToolbarVisible = YES;
-					WindowLocation = "{12, 79}";
+					WindowLocation = "{3, 79}";
 				},
 			);
-			PBXWorkspaceStateSaveDate = 68771887;
+			PBXWorkspaceStateSaveDate = 68808506;
 		};
 		perUserProjectItems = {
@@ -1236,10 +733,7 @@
 			E120D7BE0419848000050002 = E120D7BE0419848000050002;
 			E120D7BF0419848000050002 = E120D7BF0419848000050002;
-			E120D7C00419848000050002 = E120D7C00419848000050002;
-			E120D7C10419848000050002 = E120D7C10419848000050002;
 			E120D7C20419848000050002 = E120D7C20419848000050002;
 			E120D7C30419848000050002 = E120D7C30419848000050002;
 			E120D7C40419848000050002 = E120D7C40419848000050002;
-			E120D7C50419848000050002 = E120D7C50419848000050002;
 			E120D7C60419848000050002 = E120D7C60419848000050002;
 			E120D7C70419848000050002 = E120D7C70419848000050002;
@@ -1325,5 +819,4 @@
 			E120D8170419848000050002 = E120D8170419848000050002;
 			E120D8180419848000050002 = E120D8180419848000050002;
-			E120D8190419848000050002 = E120D8190419848000050002;
 			E157EE6C03F059E300050002 = E157EE6C03F059E300050002;
 			E157EE6D03F059E300050002 = E157EE6D03F059E300050002;
@@ -1371,5 +864,4 @@
 			E16C834F03F759D800050002 = E16C834F03F759D800050002;
 			E16C835003F759D800050002 = E16C835003F759D800050002;
-			E16C835503F759D800050002 = E16C835503F759D800050002;
 			E16C835803F759D800050002 = E16C835803F759D800050002;
 			E16C835903F759D800050002 = E16C835903F759D800050002;
@@ -1455,4 +947,5 @@
 			E16C842603FB6A7200050002 = E16C842603FB6A7200050002;
 			E16C842703FB6A7200050002 = E16C842703FB6A7200050002;
+			E18B6CA00419EF6F00050002 = E18B6CA00419EF6F00050002;
 			E1937CF1040C300300050002 = E1937CF1040C300300050002;
 			E1937CF2040C300300050002 = E1937CF2040C300300050002;
@@ -1478,4 +971,17 @@
 			E1DEF11103FF95C900050002 = E1DEF11103FF95C900050002;
 			E1DEF11203FF95C900050002 = E1DEF11203FF95C900050002;
+			E1EAD7470419ECC600050002 = E1EAD7470419ECC600050002;
+			E1EAD7480419ECC600050002 = E1EAD7480419ECC600050002;
+			E1EAD7490419ECC600050002 = E1EAD7490419ECC600050002;
+			E1EAD74A0419ECC600050002 = E1EAD74A0419ECC600050002;
+			E1EAD74C0419ECC600050002 = E1EAD74C0419ECC600050002;
+			E1EAD74D0419ECC600050002 = E1EAD74D0419ECC600050002;
+			E1EAD74E0419ECC600050002 = E1EAD74E0419ECC600050002;
+			E1EAD74F0419ECC600050002 = E1EAD74F0419ECC600050002;
+			E1EAD7500419ECC600050002 = E1EAD7500419ECC600050002;
+			E1EAD7510419ECC600050002 = E1EAD7510419ECC600050002;
+			E1EAD7520419ECC600050002 = E1EAD7520419ECC600050002;
+			E1EAD7530419ECC600050002 = E1EAD7530419ECC600050002;
+			E1EAD7540419ECC600050002 = E1EAD7540419ECC600050002;
 			E1F6E3AF040BD0C700050002 = E1F6E3AF040BD0C700050002;
 			E1F6E3B0040BD0C700050002 = E1F6E3B0040BD0C700050002;
@@ -2348,24 +1854,4 @@
 		vrLoc = 7157;
 	};
-	E120D7C00419848000050002 = {
-		fRef = E140C475040BB997009FF178;
-		isa = PBXTextBookmark;
-		name = "Japanese: 48";
-		rLen = 0;
-		rLoc = 2166;
-		rType = 0;
-		vrLen = 1238;
-		vrLoc = 23662;
-	};
-	E120D7C10419848000050002 = {
-		fRef = F56276C20379923401AA4DA5;
-		isa = PBXTextBookmark;
-		name = "English: 36";
-		rLen = 0;
-		rLoc = 1894;
-		rType = 0;
-		vrLen = 1776;
-		vrLoc = 919;
-	};
 	E120D7C20419848000050002 = {
 		fRef = E1BF15BF03DBBE8900050002;
@@ -2397,22 +1883,4 @@
 		vrLen = 1386;
 		vrLoc = 0;
-	};
-	E120D7C50419848000050002 = {
-		isa = PBXTargetBookmark;
-		trg = F5CD5E9D02DAE2C901AA4DA5;
-		uiCtxt = {
-			TOCViewDetailVisibleRect = "{{0, 0}, {433, 614}}";
-			TOCViewExpandedItems = (
-				"com.apple.target-editor-pane.settings",
-				"com.apple.target-editor-pane.settings.simple",
-				"com.apple.target-editor-pane.info-plist",
-				"com.apple.target-editor-pane.info-plist.simple",
-				"com.apple.target-editor-pane.buildphases",
-			);
-			TOCViewMasterVisibleRect = "{{0, 0}, {170, 614}}";
-			TOCViewSelectedItems = (
-				"com.apple.target-editor-pane.info-plist.simple",
-			);
-		};
 	};
 	E120D7C60419848000050002 = {
@@ -3169,18 +2637,4 @@
 		isa = PBXTargetBookmark;
 		trg = F5CD5E9D02DAE2C901AA4DA5;
-		uiCtxt = {
-			TOCViewDetailVisibleRect = "{{0, 0}, {433, 233}}";
-			TOCViewExpandedItems = (
-				"com.apple.target-editor-pane.settings",
-				"com.apple.target-editor-pane.settings.simple",
-				"com.apple.target-editor-pane.info-plist",
-				"com.apple.target-editor-pane.info-plist.simple",
-				"com.apple.target-editor-pane.buildphases",
-			);
-			TOCViewMasterVisibleRect = "{{0, 0}, {170, 614}}";
-			TOCViewSelectedItems = (
-				PBXTargetSummarySettingsModule,
-			);
-		};
 	};
 	E120D8120419848000050002 = {
@@ -3197,18 +2651,4 @@
 		isa = PBXTargetBookmark;
 		trg = F5CD5E9D02DAE2C901AA4DA5;
-		uiCtxt = {
-			TOCViewDetailVisibleRect = "{{0, 0}, {433, 233}}";
-			TOCViewExpandedItems = (
-				"com.apple.target-editor-pane.settings",
-				"com.apple.target-editor-pane.settings.simple",
-				"com.apple.target-editor-pane.info-plist",
-				"com.apple.target-editor-pane.info-plist.simple",
-				"com.apple.target-editor-pane.buildphases",
-			);
-			TOCViewMasterVisibleRect = "{{0, 0}, {170, 614}}";
-			TOCViewSelectedItems = (
-				PBXTargetSummarySettingsModule,
-			);
-		};
 	};
 	E120D8140419848000050002 = {
@@ -3245,18 +2685,4 @@
 		isa = PBXTargetBookmark;
 		trg = F5CD5E9D02DAE2C901AA4DA5;
-		uiCtxt = {
-			TOCViewDetailVisibleRect = "{{0, 0}, {433, 614}}";
-			TOCViewExpandedItems = (
-				"com.apple.target-editor-pane.settings",
-				"com.apple.target-editor-pane.settings.simple",
-				"com.apple.target-editor-pane.info-plist",
-				"com.apple.target-editor-pane.info-plist.simple",
-				"com.apple.target-editor-pane.buildphases",
-			);
-			TOCViewMasterVisibleRect = "{{0, 0}, {170, 614}}";
-			TOCViewSelectedItems = (
-				"com.apple.target-editor-pane.info-plist.simple",
-			);
-		};
 	};
 	E120D8180419848000050002 = {
@@ -3268,14 +2694,4 @@
 		rType = 0;
 		vrLen = 66;
-		vrLoc = 0;
-	};
-	E120D8190419848000050002 = {
-		fRef = E1BF15A503DBAA5600050002;
-		isa = PBXTextBookmark;
-		name = "ui.plist: 22";
-		rLen = 0;
-		rLoc = 635;
-		rType = 0;
-		vrLen = 1318;
 		vrLoc = 0;
 	};
@@ -3954,14 +3370,4 @@
 		vrLoc = 0;
 	};
-	E16C835503F759D800050002 = {
-		fRef = E1BF15A503DBAA5600050002;
-		isa = PBXTextBookmark;
-		name = "ui.plist: 37";
-		rLen = 0;
-		rLoc = 1081;
-		rType = 0;
-		vrLen = 1325;
-		vrLoc = 0;
-	};
 	E16C835803F759D800050002 = {
 		fRef = E1BF15A503DBAA5600050002;
@@ -4875,4 +4281,22 @@
 		state = 1;
 	};
+	E18B6CA00419EF6F00050002 = {
+		isa = PBXTargetBookmark;
+		trg = E1BF159B03DBA71000050002;
+		uiCtxt = {
+			TOCViewDetailVisibleRect = "{{0, 0}, {433, 182}}";
+			TOCViewExpandedItems = (
+				"com.apple.target-editor-pane.settings",
+				"com.apple.target-editor-pane.settings.simple",
+				"com.apple.target-editor-pane.info-plist",
+				"com.apple.target-editor-pane.info-plist.simple",
+				"com.apple.target-editor-pane.buildphases",
+			);
+			TOCViewMasterVisibleRect = "{{0, 0}, {170, 614}}";
+			TOCViewSelectedItems = (
+				E1BF15AB03DBAA9900050002,
+			);
+		};
+	};
 	E1937CF1040C300300050002 = {
 		fRef = E1F6E3AC040BCC5700050002;
@@ -5154,4 +4578,104 @@
 		vrLoc = 7089;
 	};
+	E1EAD7470419ECC600050002 = {
+		fRef = E1BF15A503DBAA5600050002;
+		isa = PBXTextBookmark;
+		name = "ui.plist: 22";
+		rLen = 0;
+		rLoc = 635;
+		rType = 0;
+		vrLen = 1318;
+		vrLoc = 0;
+	};
+	E1EAD7480419ECC600050002 = {
+		isa = PBXTargetBookmark;
+		trg = F5CD5E9D02DAE2C901AA4DA5;
+	};
+	E1EAD7490419ECC600050002 = {
+		fRef = E140C475040BB997009FF178;
+		isa = PBXTextBookmark;
+		name = "Japanese: 48";
+		rLen = 0;
+		rLoc = 2166;
+		rType = 0;
+		vrLen = 1212;
+		vrLoc = 23662;
+	};
+	E1EAD74A0419ECC600050002 = {
+		fRef = E1EAD7440419ECA400050002;
+		isa = PBXTextBookmark;
+		name = "English: 31";
+		rLen = 0;
+		rLoc = 1270;
+		rType = 0;
+		vrLen = 1775;
+		vrLoc = 919;
+	};
+	E1EAD74C0419ECC600050002 = {
+		fRef = E1BF15A503DBAA5600050002;
+		isa = PBXTextBookmark;
+		name = "ui.plist: 22";
+		rLen = 0;
+		rLoc = 635;
+		rType = 0;
+		vrLen = 1318;
+		vrLoc = 0;
+	};
+	E1EAD74D0419ECC600050002 = {
+		isa = PBXTargetBookmark;
+		trg = F5CD5E9D02DAE2C901AA4DA5;
+	};
+	E1EAD74E0419ECC600050002 = {
+		isa = PBXTargetBookmark;
+		trg = E1BF159B03DBA71000050002;
+	};
+	E1EAD74F0419ECC600050002 = {
+		fRef = F56276C20379923401AA4DA5;
+		isa = PBXTextBookmark;
+		name = "English: 36";
+		rLen = 0;
+		rLoc = 1894;
+		rType = 0;
+		vrLen = 1775;
+		vrLoc = 919;
+	};
+	E1EAD7500419ECC600050002 = {
+		isa = PBXTargetBookmark;
+		trg = E1BF159B03DBA71000050002;
+	};
+	E1EAD7510419ECC600050002 = {
+		fRef = F56276C20379923401AA4DA5;
+		isa = PBXTextBookmark;
+		name = "English: 36";
+		rLen = 0;
+		rLoc = 1894;
+		rType = 0;
+		vrLen = 1775;
+		vrLoc = 919;
+	};
+	E1EAD7520419ECC600050002 = {
+		fRef = E140C475040BB997009FF178;
+		isa = PBXTextBookmark;
+		name = "Japanese: 48";
+		rLen = 0;
+		rLoc = 2166;
+		rType = 0;
+		vrLen = 1212;
+		vrLoc = 23662;
+	};
+	E1EAD7530419ECC600050002 = {
+		fRef = E1EAD7440419ECA400050002;
+		isa = PBXTextBookmark;
+		name = "English: 31";
+		rLen = 0;
+		rLoc = 1270;
+		rType = 0;
+		vrLen = 1775;
+		vrLoc = 919;
+	};
+	E1EAD7540419ECC600050002 = {
+		isa = PBXTargetBookmark;
+		trg = E1BF159B03DBA71000050002;
+	};
 	E1F6E3AF040BD0C700050002 = {
 		fRef = E1CBC99803E7602700050002;
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj	(revision 106)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE APE.pbproj/project.pbxproj	(revision 107)
@@ -267,10 +267,4 @@
 		};
 		E140C473040BB987009FF178 = {
-			fileRef = E140C472040BB987009FF178;
-			isa = PBXBuildFile;
-			settings = {
-			};
-		};
-		E140C474040BB987009FF178 = {
 			fileRef = E140C472040BB987009FF178;
 			isa = PBXBuildFile;
@@ -705,4 +699,5 @@
 		E1BF154403DB950B00050002 = {
 			children = (
+				E1EAD7430419ECA400050002,
 				E140C472040BB987009FF178,
 			);
@@ -862,5 +857,5 @@
 				E19EB50203DD365D00050002,
 				E1BF166803DBD09A00050002,
-				E140C474040BB987009FF178,
+				E1EAD7460419ECB900050002,
 				E1BF15A803DBAA5700050002,
 			);
@@ -1002,4 +997,25 @@
 		E1CBC99B03E7603400050002 = {
 			fileRef = E1CBC99A03E7603400050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E1EAD7430419ECA400050002 = {
+			children = (
+				E1EAD7440419ECA400050002,
+			);
+			isa = PBXVariantGroup;
+			name = APEInfo.rtfd;
+			path = "";
+			refType = 4;
+		};
+		E1EAD7440419ECA400050002 = {
+			isa = PBXFileReference;
+			name = English;
+			path = English.lproj/APEInfo.rtfd;
+			refType = 4;
+		};
+		E1EAD7460419ECB900050002 = {
+			fileRef = E1EAD7430419ECA400050002;
 			isa = PBXBuildFile;
 			settings = {