Index: trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser	(revision 114)
+++ trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser	(revision 116)
@@ -283,5 +283,5 @@
 							Split0 = {
 								NavContent0 = {
-									bookmark = E1F7C646041C5B0000FEF34D;
+									bookmark = E1F7C65B041C623100FEF34D;
 									history = (
 										E1D2937B03BD418200F9204E,
@@ -377,9 +377,7 @@
 										E16A0E6204005B0E00050002,
 										E16A0E6504005B0E00050002,
-										E16A0E6604005B0E00050002,
 										E16A0E6704005B0E00050002,
 										E16A0E6904005B0E00050002,
 										E16A0E6A04005B0E00050002,
-										E104866604018CF400050002,
 										E104866704018CF400050002,
 										E104866D04018CF400050002,
@@ -428,5 +426,4 @@
 										E1A6017A040C8C6B00050002,
 										E1A6017B040C8C6B00050002,
-										E1669BB60412965E00050002,
 										E1669BB70412965E00050002,
 										E1669BBD0412965E00050002,
@@ -458,5 +455,8 @@
 										E1F7C626041C5B0000FEF34D,
 										E1F7C627041C5B0000FEF34D,
-										E1F7C628041C5B0000FEF34D,
+										E1F7C655041C623100FEF34D,
+										E1F7C656041C623100FEF34D,
+										E1F7C657041C623100FEF34D,
+										E16A0E6604005B0E00050002,
 									);
 									prevStack = (
@@ -1596,4 +1596,7 @@
 										E1F7C644041C5B0000FEF34D,
 										E1F7C645041C5B0000FEF34D,
+										E1F7C658041C623100FEF34D,
+										E1F7C659041C623100FEF34D,
+										E1F7C65A041C623100FEF34D,
 									);
 								};
@@ -1637,40 +1640,4 @@
 								NavGeometry0 = {
 									Frame = "{{0, 0}, {685, 150}}";
-									NavBarVisible = YES;
-								};
-								NavSplitVertical = NO;
-							};
-							SplitCount = 1;
-							Tab1 = {
-								Debugger = {
-									Split0 = {
-										SplitCount = 2;
-									};
-									SplitCount = 1;
-									TabCount = 2;
-								};
-								LauncherConfigVersion = 7;
-							};
-							Tab2 = {
-								LauncherConfigVersion = 3;
-								Runner = {
-								};
-							};
-							TabCount = 5;
-						};
-						SplitCount = 1;
-						Tab1 = {
-							OptionsSetName = "Hierarchy, all classes";
-						};
-						TabCount = 5;
-					};
-				},
-				{
-					LeftSlideOut = {
-						Split0 = {
-							Split0 = {
-								NavCount = 1;
-								NavGeometry0 = {
-									Frame = "{{0, 0}, {993, 150}}";
 									NavBarVisible = YES;
 								};
@@ -1830,5 +1797,5 @@
 					Template = 64ABBB4501FA494900185B06;
 					ToolbarVisible = YES;
-					WindowLocation = "{20, 177}";
+					WindowLocation = "{5, 185}";
 				},
 				{
@@ -1960,137 +1927,8 @@
 					WindowLocation = "{209, 187}";
 				},
-				{
-					ContentSize = "{993, 281}";
-					LeftSlideOut = {
-						Collapsed = NO;
-						Frame = "{{0, 23}, {993, 258}}";
-						Split0 = {
-							ActiveTab = 1;
-							ActiveTabName = PBXRunSessionModule;
-							Collapsed = YES;
-							Frame = "{{0, 0}, {993, 258}}";
-							Split0 = {
-								Frame = "{{1e+06, 1e+06}, {993, 0}}";
-							};
-							SplitCount = 1;
-							Tab0 = {
-								Frame = "{{0, 0}, {804, 321}}";
-							};
-							Tab1 = {
-								Debugger = {
-									Collapsed = NO;
-									Frame = "{{0, 0}, {594, 274}}";
-									Split0 = {
-										Frame = "{{0, 24}, {594, 250}}";
-										Split0 = {
-											Frame = "{{0, 0}, {290, 250}}";
-										};
-										Split1 = {
-											DebugVariablesTableConfiguration = (
-												Name,
-												123,
-												Value,
-												85,
-												Summary,
-												62.123,
-											);
-											Frame = "{{299, 0}, {295, 250}}";
-										};
-										SplitCount = 2;
-									};
-									SplitCount = 1;
-									Tab0 = {
-										Frame = "{{0, 0}, {100, 50}}";
-									};
-									Tab1 = {
-										Frame = "{{0, 0}, {100, 50}}";
-									};
-									TabCount = 2;
-									TabsVisible = YES;
-								};
-								Frame = "{{0, 0}, {594, 274}}";
-								LauncherConfigVersion = 7;
-							};
-							Tab2 = {
-								Frame = "{{0, 0}, {993, 252}}";
-								LauncherConfigVersion = 3;
-								Runner = {
-									Frame = "{{0, 0}, {993, 252}}";
-								};
-							};
-							Tab3 = {
-								BuildMessageFrame = "{{0, 0}, {614, 262}}";
-								BuildTranscriptFrame = "{{0, 271}, {614, 2}}";
-								BuildTranscriptFrameExpanded = YES;
-								Frame = "{{0, 0}, {612, 295}}";
-							};
-							Tab4 = {
-								Frame = "{{0, 0}, {612, 295}}";
-							};
-							TabCount = 5;
-							TabsVisible = NO;
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {300, 533}}";
-							GroupTreeTableConfiguration = (
-								TargetStatusColumn,
-								18,
-								MainColumn,
-								267,
-							);
-						};
-						Tab1 = {
-							ClassesFrame = "{{0, 0}, {280, 398}}";
-							ClassesTreeTableConfiguration = (
-								PBXBookColumnIdentifier,
-								20,
-								PBXClassColumnIdentifier,
-								237,
-							);
-							Frame = "{{0, 0}, {278, 659}}";
-							MembersFrame = "{{0, 407}, {280, 252}}";
-							MembersTreeTableConfiguration = (
-								PBXBookColumnIdentifier,
-								20,
-								PBXMethodColumnIdentifier,
-								236,
-							);
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {200, 100}}";
-						};
-						Tab3 = {
-							Frame = "{{0, 0}, {200, 386}}";
-							TargetTableConfiguration = (
-								ActiveObject,
-								16,
-								ObjectNames,
-								202.296,
-							);
-						};
-						Tab4 = {
-							BreakpointsTreeTableConfiguration = (
-								breakpointColumn,
-								197,
-								enabledColumn,
-								31,
-							);
-							Frame = "{{0, 0}, {250, 386}}";
-						};
-						TabCount = 5;
-						TabsVisible = NO;
-					};
-					NavBarShownByDefault = YES;
-					StatusViewVisible = YES;
-					Template = F5534CB2020F3F8A0DCA290F;
-					ToolbarVisible = YES;
-					WindowLocation = "{18, 179}";
-				},
 			);
 			PBXWorkspaceStateSaveDate = 68968119;
 		};
 		perUserProjectItems = {
-			E104866604018CF400050002 = E104866604018CF400050002;
 			E104866704018CF400050002 = E104866704018CF400050002;
 			E104866D04018CF400050002 = E104866D04018CF400050002;
@@ -2183,5 +2021,4 @@
 			E15E6A6C04188ABA00050002 = E15E6A6C04188ABA00050002;
 			E15E6A6D04188ABA00050002 = E15E6A6D04188ABA00050002;
-			E1669BB60412965E00050002 = E1669BB60412965E00050002;
 			E1669BB70412965E00050002 = E1669BB70412965E00050002;
 			E1669BBD0412965E00050002 = E1669BBD0412965E00050002;
@@ -3370,5 +3207,4 @@
 			E1F7C626041C5B0000FEF34D = E1F7C626041C5B0000FEF34D;
 			E1F7C627041C5B0000FEF34D = E1F7C627041C5B0000FEF34D;
-			E1F7C628041C5B0000FEF34D = E1F7C628041C5B0000FEF34D;
 			E1F7C629041C5B0000FEF34D = E1F7C629041C5B0000FEF34D;
 			E1F7C62A041C5B0000FEF34D = E1F7C62A041C5B0000FEF34D;
@@ -3400,5 +3236,11 @@
 			E1F7C644041C5B0000FEF34D = E1F7C644041C5B0000FEF34D;
 			E1F7C645041C5B0000FEF34D = E1F7C645041C5B0000FEF34D;
-			E1F7C646041C5B0000FEF34D = E1F7C646041C5B0000FEF34D;
+			E1F7C655041C623100FEF34D = E1F7C655041C623100FEF34D;
+			E1F7C656041C623100FEF34D = E1F7C656041C623100FEF34D;
+			E1F7C657041C623100FEF34D = E1F7C657041C623100FEF34D;
+			E1F7C658041C623100FEF34D = E1F7C658041C623100FEF34D;
+			E1F7C659041C623100FEF34D = E1F7C659041C623100FEF34D;
+			E1F7C65A041C623100FEF34D = E1F7C65A041C623100FEF34D;
+			E1F7C65B041C623100FEF34D = E1F7C65B041C623100FEF34D;
 			E1FCECFD03C972CF001509F3 = E1FCECFD03C972CF001509F3;
 		};
@@ -3414,14 +3256,4 @@
 			F59B967103538BE201154278,
 		);
-	};
-	E104866604018CF400050002 = {
-		fRef = 089C165DFE840E0CC02AAC07;
-		isa = PBXTextBookmark;
-		name = "English: 7";
-		rLen = 0;
-		rLoc = 229;
-		rType = 0;
-		vrLen = 229;
-		vrLoc = 0;
 	};
 	E104866704018CF400050002 = {
@@ -4444,14 +4276,4 @@
 		refType = 0;
 	};
-	E1669BB60412965E00050002 = {
-		fRef = E10E71F4040C335800050002;
-		isa = PBXTextBookmark;
-		name = "English: 2";
-		rLen = 0;
-		rLoc = 145;
-		rType = 0;
-		vrLen = 1962;
-		vrLoc = 0;
-	};
 	E1669BB70412965E00050002 = {
 		fRef = E130B9AD03B7C59700000028;
@@ -16936,11 +16758,4 @@
 		vrLoc = 1518;
 	};
-	E1F7C628041C5B0000FEF34D = {
-		fRef = F560E2F10357506401A4E466;
-		isa = PBXTextBookmark;
-		rLen = 3;
-		rLoc = 5725;
-		rType = 0;
-	};
 	E1F7C629041C5B0000FEF34D = {
 		fRef = F517D63E0356B80C016D68B9;
@@ -17232,14 +17047,4 @@
 		vrLen = 1053;
 		vrLoc = 1518;
-	};
-	E1F7C646041C5B0000FEF34D = {
-		fRef = F560E2F10357506401A4E466;
-		isa = PBXTextBookmark;
-		name = "PSApplication.m: 154";
-		rLen = 0;
-		rLoc = 5623;
-		rType = 0;
-		vrLen = 1793;
-		vrLoc = 5718;
 	};
 	E1F7C647041C5B0000FEF34D = {
@@ -17266,4 +17071,74 @@
 		path = /System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSInvocation.h;
 		refType = 0;
+	};
+	E1F7C655041C623100FEF34D = {
+		fRef = F560E2F10357506401A4E466;
+		isa = PBXTextBookmark;
+		name = "PSApplication.m: 196";
+		rLen = 0;
+		rLoc = 8250;
+		rType = 0;
+		vrLen = 1793;
+		vrLoc = 7442;
+	};
+	E1F7C656041C623100FEF34D = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 7";
+		rLen = 0;
+		rLoc = 229;
+		rType = 0;
+		vrLen = 229;
+		vrLoc = 0;
+	};
+	E1F7C657041C623100FEF34D = {
+		fRef = E10E71F4040C335800050002;
+		isa = PBXTextBookmark;
+		name = "English: 95";
+		rLen = 0;
+		rLoc = 4713;
+		rType = 0;
+		vrLen = 1654;
+		vrLoc = 4107;
+	};
+	E1F7C658041C623100FEF34D = {
+		fRef = F560E2F10357506401A4E466;
+		isa = PBXTextBookmark;
+		name = "PSApplication.m: 196";
+		rLen = 0;
+		rLoc = 8250;
+		rType = 0;
+		vrLen = 1793;
+		vrLoc = 7442;
+	};
+	E1F7C659041C623100FEF34D = {
+		fRef = 089C165DFE840E0CC02AAC07;
+		isa = PBXTextBookmark;
+		name = "English: 7";
+		rLen = 0;
+		rLoc = 229;
+		rType = 0;
+		vrLen = 229;
+		vrLoc = 0;
+	};
+	E1F7C65A041C623100FEF34D = {
+		fRef = E10E71F4040C335800050002;
+		isa = PBXTextBookmark;
+		name = "English: 95";
+		rLen = 0;
+		rLoc = 4713;
+		rType = 0;
+		vrLen = 1654;
+		vrLoc = 4107;
+	};
+	E1F7C65B041C623100FEF34D = {
+		fRef = E17F2F4103FDF67700050002;
+		isa = PBXTextBookmark;
+		name = "OACalendarView.m: 839";
+		rLen = 0;
+		rLoc = 34848;
+		rType = 0;
+		vrLen = 1399;
+		vrLoc = 34497;
 	};
 	E1FCECFD03C972CF001509F3 = {
Index: trunk/Cocoa/Pester/package-Pester.sh
===================================================================
--- trunk/Cocoa/Pester/package-Pester.sh	(revision 114)
+++ trunk/Cocoa/Pester/package-Pester.sh	(revision 116)
@@ -29,4 +29,5 @@
 openUp "$MOUNTPOINT" && \
 hdiutil detach $DISK && \
+hdiutil resize -sectors min "$DMG" && \
 hdiutil convert "$DMG" -format UDZO -imagekey zlib-level=9 -o "z$DMG" && \
 mv "z$DMG" "$DMG" && \