Index: trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj	(revision 105)
+++ trunk/Cocoa/Pester/Source/Pester.pbproj/project.pbxproj	(revision 118)
@@ -53,4 +53,6 @@
 				F59E4BEA036B33EC016B311C,
 				E14DB31203B8038300000028,
+				E14788E3041F3FFC00050002,
+				E14788E8041F40DE00050002,
 			);
 			isa = PBXGroup;
@@ -108,4 +110,5 @@
 				17587328FF379C6511CA2CBB,
 				F562F809037E5D0101AEEDB1,
+				E14A56EB041DD6B600050002,
 			);
 			isa = PBXGroup;
@@ -134,4 +137,5 @@
 			targets = (
 				29B97326FDCFA39411CA2CEA,
+				E14A56EA041DD6B600050002,
 			);
 		};
@@ -154,4 +158,7 @@
 				E19DCBD203BE4AA200B934BF,
 				29B97316FDCFA39411CA2CEA,
+				E14788D4041F2FBD00050002,
+				E1DC3E31041F27DA00050002,
+				E14A56ED041DD82F00050002,
 			);
 			isa = PBXGroup;
@@ -235,4 +242,5 @@
 				29B9732BFDCFA39411CA2CEA,
 				29B9732DFDCFA39411CA2CEA,
+				E11C0975041F1BBD00050002,
 				E130B9A903B7AEED00000028,
 			);
@@ -244,5 +252,5 @@
 				JAVA_COMPILER_DEBUGGING_SYMBOLS = NO;
 				LIBRARY_SEARCH_PATHS = "";
-				OTHER_CFLAGS = "";
+				OTHER_CFLAGS = "-DNDEBUG";
 				PRECOMPILE_PREFIX_HEADER = YES;
 				PREFIX_HEADER = Pester_Prefix.h;
@@ -256,4 +264,5 @@
 			};
 			dependencies = (
+				E11C096E041F1ABF00050002,
 			);
 			isa = PBXApplicationTarget;
@@ -285,5 +294,5 @@
 	<string>1.1b3</string>
 	<key>CFBundleSignature</key>
-	<string>Pstr</string>
+	<string>Pest</string>
 	<key>CFBundleVersion</key>
 	<string>12</string>
@@ -354,4 +363,8 @@
 				E10F2A400402E71400050002,
 				E1B46FEA04057E3400050002,
+				E14788EB041F4F7000050002,
+				E14788F0041F4F7600050002,
+				E14788F2041F4F8900050002,
+				E14788F4041F4F8A00050002,
 			);
 			isa = PBXHeadersBuildPhase;
@@ -438,4 +451,7 @@
 				E10F2A410402E71400050002,
 				E1B46FEB04057E3400050002,
+				E14788F1041F4F7600050002,
+				E14788F3041F4F8900050002,
+				E14788F5041F4F8A00050002,
 			);
 			isa = PBXSourcesBuildPhase;
@@ -458,4 +474,5 @@
 				F59E4C0C036B33EC016B311C,
 				E14DB31303B8038300000028,
+				E14788EA041F4F5400050002,
 			);
 			isa = PBXFrameworksBuildPhase;
@@ -568,4 +585,54 @@
 			};
 		};
+		E11C096E041F1ABF00050002 = {
+			isa = PBXTargetDependency;
+			target = E14A56EA041DD6B600050002;
+		};
+		E11C096F041F1AD600050002 = {
+			fileRef = E14A56ED041DD82F00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E11C0971041F1ADA00050002 = {
+			fileRef = E130B9AD03B7C59700000028;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E11C0972041F1ADB00050002 = {
+			fileRef = E130B9AC03B7C59700000028;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E11C0973041F1B1900050002 = {
+			fileRef = 29B97325FDCFA39411CA2CEA;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E11C0974041F1B2300050002 = {
+			fileRef = E14DB31203B8038300000028;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E11C0975041F1BBD00050002 = {
+			buildActionMask = 2147483647;
+			dstPath = "";
+			dstSubfolderSpec = 6;
+			files = (
+				E11C0976041F1BCA00050002,
+			);
+			isa = PBXCopyFilesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
+		};
+		E11C0976041F1BCA00050002 = {
+			fileRef = E14A56EB041DD6B600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
 		E1271F040000012300000028 = {
 			fileRef = E130B9AD03B7C59700000028;
@@ -628,4 +695,281 @@
 			settings = {
 			};
+		};
+		E14788D4041F2FBD00050002 = {
+			children = (
+				E14788DB041F2FF600050002,
+				E14788D9041F2FF600050002,
+				E14788D5041F2FF600050002,
+				E14788D7041F2FF600050002,
+				E14788D6041F2FF600050002,
+				E14788DA041F2FF600050002,
+				E14788D8041F2FF600050002,
+			);
+			isa = PBXGroup;
+			name = MoreSecurity;
+			refType = 4;
+		};
+		E14788D5041F2FF600050002 = {
+			fileEncoding = 30;
+			indentWidth = 4;
+			isa = PBXFileReference;
+			name = MoreCFQ.c;
+			path = MoreSecurity/MoreCFQ.c;
+			refType = 4;
+			tabWidth = 4;
+			usesTabs = 0;
+		};
+		E14788D6041F2FF600050002 = {
+			fileEncoding = 30;
+			indentWidth = 4;
+			isa = PBXFileReference;
+			name = MoreUNIX.c;
+			path = MoreSecurity/MoreUNIX.c;
+			refType = 4;
+			tabWidth = 4;
+			usesTabs = 0;
+		};
+		E14788D7041F2FF600050002 = {
+			fileEncoding = 30;
+			indentWidth = 4;
+			isa = PBXFileReference;
+			name = MoreUNIX.h;
+			path = MoreSecurity/MoreUNIX.h;
+			refType = 4;
+			tabWidth = 4;
+			usesTabs = 0;
+		};
+		E14788D8041F2FF600050002 = {
+			fileEncoding = 30;
+			indentWidth = 4;
+			isa = PBXFileReference;
+			name = MoreSecurity.c;
+			path = MoreSecurity/MoreSecurity.c;
+			refType = 4;
+			tabWidth = 4;
+			usesTabs = 0;
+		};
+		E14788D9041F2FF600050002 = {
+			fileEncoding = 30;
+			indentWidth = 4;
+			isa = PBXFileReference;
+			name = MoreCFQ.h;
+			path = MoreSecurity/MoreCFQ.h;
+			refType = 4;
+			tabWidth = 4;
+			usesTabs = 0;
+		};
+		E14788DA041F2FF600050002 = {
+			fileEncoding = 30;
+			indentWidth = 4;
+			isa = PBXFileReference;
+			name = MoreSecurity.h;
+			path = MoreSecurity/MoreSecurity.h;
+			refType = 4;
+			tabWidth = 4;
+			usesTabs = 0;
+		};
+		E14788DB041F2FF600050002 = {
+			fileEncoding = 30;
+			indentWidth = 4;
+			isa = PBXFileReference;
+			name = MoreSetup.h;
+			path = MoreSecurity/MoreSetup.h;
+			refType = 4;
+			tabWidth = 4;
+			usesTabs = 0;
+		};
+		E14788DC041F2FF600050002 = {
+			fileRef = E14788D5041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788DD041F2FF600050002 = {
+			fileRef = E14788D6041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788DE041F2FF600050002 = {
+			fileRef = E14788D7041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788DF041F2FF600050002 = {
+			fileRef = E14788D8041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788E0041F2FF600050002 = {
+			fileRef = E14788D9041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788E1041F2FF600050002 = {
+			fileRef = E14788DA041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788E2041F2FF600050002 = {
+			fileRef = E14788DB041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788E3041F3FFC00050002 = {
+			isa = PBXFrameworkReference;
+			name = Security.framework;
+			path = /System/Library/Frameworks/Security.framework;
+			refType = 0;
+		};
+		E14788E4041F3FFC00050002 = {
+			fileRef = E14788E3041F3FFC00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788E8041F40DE00050002 = {
+			isa = PBXFrameworkReference;
+			name = CoreServices.framework;
+			path = /System/Library/Frameworks/CoreServices.framework;
+			refType = 0;
+		};
+		E14788E9041F40DE00050002 = {
+			fileRef = E14788E8041F40DE00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788EA041F4F5400050002 = {
+			fileRef = E14788E3041F3FFC00050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788EB041F4F7000050002 = {
+			fileRef = E14788DB041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788F0041F4F7600050002 = {
+			fileRef = E14788DA041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788F1041F4F7600050002 = {
+			fileRef = E14788D8041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788F2041F4F8900050002 = {
+			fileRef = E14788D9041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788F3041F4F8900050002 = {
+			fileRef = E14788D5041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788F4041F4F8A00050002 = {
+			fileRef = E14788D7041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14788F5041F4F8A00050002 = {
+			fileRef = E14788D6041F2FF600050002;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E14A56E6041DD6B600050002 = {
+			buildActionMask = 2147483647;
+			files = (
+				E11C0972041F1ADB00050002,
+				E1DC3E33041F27DA00050002,
+				E14788DE041F2FF600050002,
+				E14788E0041F2FF600050002,
+				E14788E1041F2FF600050002,
+				E14788E2041F2FF600050002,
+			);
+			isa = PBXHeadersBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
+		};
+		E14A56E7041DD6B600050002 = {
+			buildActionMask = 2147483647;
+			files = (
+				E11C096F041F1AD600050002,
+				E11C0971041F1ADA00050002,
+				E14788DC041F2FF600050002,
+				E14788DD041F2FF600050002,
+				E14788DF041F2FF600050002,
+			);
+			isa = PBXSourcesBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
+		};
+		E14A56E8041DD6B600050002 = {
+			buildActionMask = 2147483647;
+			files = (
+				E11C0973041F1B1900050002,
+				E11C0974041F1B2300050002,
+				E14788E4041F3FFC00050002,
+				E14788E9041F40DE00050002,
+			);
+			isa = PBXFrameworksBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
+		};
+		E14A56E9041DD6B600050002 = {
+			buildActionMask = 2147483647;
+			files = (
+			);
+			isa = PBXRezBuildPhase;
+			runOnlyForDeploymentPostprocessing = 0;
+		};
+		E14A56EA041DD6B600050002 = {
+			buildPhases = (
+				E14A56E6041DD6B600050002,
+				E14A56E7041DD6B600050002,
+				E14A56E8041DD6B600050002,
+				E14A56E9041DD6B600050002,
+			);
+			buildSettings = {
+				FRAMEWORK_SEARCH_PATHS = "\"$(SYSTEM_LIBRARY_DIR)/Frameworks/CoreServices.framework/Versions/A/Frameworks\"";
+				OTHER_CFLAGS = "-DWAKEIN";
+				OTHER_LDFLAGS = "";
+				OTHER_REZFLAGS = "";
+				PRODUCT_NAME = wakeinTemplate;
+				REZ_EXECUTABLE = YES;
+				SECTORDER_FLAGS = "";
+				WARNING_CFLAGS = "-Wmost -Wno-four-char-constants -Wno-unknown-pragmas";
+			};
+			dependencies = (
+			);
+			isa = PBXToolTarget;
+			name = wakein;
+			productInstallPath = /usr/local/bin;
+			productName = wakein;
+			productReference = E14A56EB041DD6B600050002;
+		};
+		E14A56EB041DD6B600050002 = {
+			isa = PBXExecutableFileReference;
+			path = wakeinTemplate;
+			refType = 3;
+		};
+		E14A56ED041DD82F00050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = wakein.m;
+			refType = 4;
 		};
 		E14AFB7703B620FE00000028 = {
@@ -1034,4 +1378,16 @@
 		E1D358BC03C60CE900C8A18E = {
 			fileRef = E1D358BA03C60CE900C8A18E;
+			isa = PBXBuildFile;
+			settings = {
+			};
+		};
+		E1DC3E31041F27DA00050002 = {
+			fileEncoding = 4;
+			isa = PBXFileReference;
+			path = wakein.h;
+			refType = 4;
+		};
+		E1DC3E33041F27DA00050002 = {
+			fileRef = E1DC3E31041F27DA00050002;
 			isa = PBXBuildFile;
 			settings = {